// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// helpers for processing gamepad state
// ====================================

#pragma once

// readable indices of "droneApp/gamepadButtons" message
enum GamepadButtonIndex {
	gamepadButtonA           =  0,
	gamepadButtonB           =  1,
	gamepadButtonX           =  2,
	gamepadButtonY           =  3,
	gamepadButtonGreen       =  0,
	gamepadButtonRed         =  1,
	gamepadButtonBlue        =  2,
	gamepadButtonYellow      =  3,
	gamepadButtonL           =  4,
	gamepadButtonR           =  5,
	gamepadButtonBack        =  6,
	gamepadButtonStart       =  7,
	gamepadButtonUNKNOWN     =  8, // dev. note: "libSDL" and "jstest" say it exists, but I couldn't find it.
	gamepadStickLeftPressed  =  9,
	gamepadStickRightPressed = 10,
	gamepadDigitalCross      = 11
} ;

// readable indices of "droneApp/gamepadAnalog" message
enum GamepadAnalogIndex {
	gamepadStickLeftHoriz  = 0,
	gamepadStickLeftVerti  = 1,
	gamepadStickRightHoriz = 2,
	gamepadStickRightVerti = 3,
	gamepadTriggerLeft     = 4,
	gamepadTriggerRight    = 5
} ;
