// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// helpers for using ROS more conveniently
// =======================================

#pragma once

#include <ros/ros.h>

// initialize and shut down ROS via a (member) variable's lifetime, e.g. to allow constructing other ROS types within 
// an initialization list
struct InitializerROS {
	InitializerROS( std::string nameNode ) {
		int argc = 1 ;
		char* argv[ 1 ] ;
		argv[ 0 ] = new char[ 1024 ] ;
		strncpy( argv[ 0 ], "arDrone", 1024 ) ;
		ros::init( argc, argv, nameNode ) ;
		delete argv[ 0 ] ;
	}
	~InitializerROS() {
		ros::shutdown() ;
	}
} ;
