# Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
# 
# Author: Benjamin Ranft (benjamin.ranft@web.de)
# 
# This file is part of arDroneManual/Autonomous.
# 
# arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
# General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
# option) any later version.
# 
# arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
# the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
# more details.
# 
# You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
# <http://www.gnu.org/licenses/>.


# delete the object files and binaries of any project
find -type d -name        "obj"                  | xargs rm -fr
find -type f -wholename "*/lib/*" ! -name .dummy | xargs rm -f
find -type f -wholename "*/bin/*" ! -name .dummy | xargs rm -f

# build the libraries only
THREADS_PER_SOCKET=$(cat /proc/cpuinfo | grep "siblings" | sort -u | awk '{print $3}')
SOCKETS=$(cat /proc/cpuinfo | grep "physical id" | sort -u | wc -l)
THREADS=`expr $THREADS_PER_SOCKET \\* $SOCKETS`
cd libHawaii && make -j$THREADS && cd ../arDroneManual && make -j$THREADS && cd ../arDroneAutonomous && make -j$THREADS && cd ../offLineDetection && make -j$THREADS && cd ..

